﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;

namespace WpfApplication48.ViewModel
{
 public   class MyObject:Object, INotifyPropertyChanged
    {
        string key = string.Empty;
        public string Key
        {
            get { return key; }
            set { key = value;
            NotifyPropertyChanged("Key");
            }
        }

        object data = null;
        public object Data
        {
            get { return data; }
            set { data = value;
            NotifyPropertyChanged("Data");
            }
        }

        public MyObject(string k, object d)
        {
            this.Key = k;
            this.Data = d;
        }



        public event PropertyChangedEventHandler PropertyChanged;

        private void NotifyPropertyChanged(String info)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(info));
            }
        }

    }
}
